﻿using Infragistics.UltraChart.Shared.Styles;
using Infragistics.Win.UltraWinChart;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KB9474_UltraChart_YAxisRange_WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear;
            Color[] ChartColors;
            ChartColors = new Color[] { Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Indigo, Color.Violet };
            ultraChart1.ColorModel.CustomPalette = ChartColors;

            ultraChart1.DataSource = GetChartData();
            ultraChart1.DataBind();

            ultraChart1.Axis.Y.RangeType = AxisRangeType.Custom;
            ultraChart1.Axis.Y.RangeMin = 0;
            ultraChart1.Axis.Y.RangeMax = 20;
        }

        private DataTable GetChartData()
        {
            DataTable chartData = new DataTable();

            // 列と列名を定義します。
            chartData.Columns.Add("Series Labels", typeof(string));
            chartData.Columns.Add("Column A", typeof(int));
            chartData.Columns.Add("Column B", typeof(int));
            chartData.Columns.Add("Column C", typeof(int));
            chartData.Columns.Add("Column D", typeof(int));

            // データの行を追加します。
            chartData.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
            chartData.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            chartData.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            chartData.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });

            return chartData;
        }
    }
}
